PHP installeren : hoe controleren wàt geïnstalleerd werd???

Hallo,

't is weeral laat geworden.
Gisteren was het 1 uur en ik heb het opgegeven.

Ik heb via dit artikel apache en php geïnstalleerd.

Wel had ik in stap 2, na elke ‘/’ in de commando’s die beschreven stonden (eigenlijk enkel een ‘lijnovergang’ ) effectief het commando uitgevoerd(een harde enter in terminal ingegeven). Ik was al stap 4 (php installeren) aan het uitvoeren toen ik het door had.
Dan nog maar eens apache geïnstalleerd, nog eens alle stappen overlopen… aantal keren herdoen (met alles nà elkaar intypen dus) was apache geïnstalleerd.

Dan de configuratiestappen gedaan + de additional usefull apache2 config settings uitgevoerd (alhoewel in mijn config-bestand stond onder die scriptAlias /cgi-bin/… ook nog een verwijzing naar de ‘default’ locatie en die heb ik laten staan (opgepast ik heb wèl die scriptalias vervangen zoals op bovenvermelde link, maar de cgi-bin mapverwijzing die eronder gedefinieerd was niet). Ook vond ik die PidFile: … niet ècht zoals het op die webpagina stond, die heb ik er dan maar ergens tussengegooid (waar er één x ‘Pid’ stond dus).

Kort samengevat : ik vind géén enkele verwijzing in mijn systeem (over deze mac , uitgebreid) niet in de software, nergens, een php… of zoiets.

In mijn /user/webpagina’s kan ik géén test.php bereiken via safari.

Het is mij een raadsel hoe ik kan zien wàt er geïnstalleerd is, wat nog moet, …

Bedankt voor elke suggestie
en nu toch naar bed hoor.
Davedive

Als je PHP, MySQL, Apache wil werkende krijgen op je Mac, dan kan ik je [b:160502c0ad]ten zeerste[/b:160502c0ad] het volgende pakket aanraden: http://www.mamp.info/en/home/

[b:160502c0ad]MAMP[/b:160502c0ad] installeert zichzelf als één enkel directory in je Applications folder. Via een widget kan je Apache & MySQL desgewenst starten of stoppen en duidt je aan met welke versie van PHP je wil werken (4 of 5)… je leest het goed, beide versies worden geïnstalleerd alsook een hele hoop extra handige libraries.

[code:1:160502c0ad]Apache Version: 2.0.55
MySQL Version: 4.1.12
PHP Version: 4.4.2 & 5.1.2
eAccelerator: 0.9.4-rc1
Zend Optimizer: 2.6.0
phpMyAdmin 2.7.0-pl2
SQLite Version: 2.8.16
SQLiteManager Version: 1.1.3
Freetype Version: 2.1.9
t1lib Version: 5.1.0
curl Version: 7.14.0
jpeg Version: 6b
libpng Version: 1.2.5
gd Version: 2.0.28[/code:1:160502c0ad]
Na installatie en het starten van de servers kun je naar de webinterface surfen om je database & dergelijke te beheren.

Dit is met voorsprong de meeste cleane manier om aan lokale web ontwikkeling te doen op een Mac :slight_smile:

Good luck :wink:

[quote:2e398fdf55="exposed"]Als je PHP, MySQL, Apache wil werkende krijgen op je Mac, dan kan je je [b:2e398fdf55]ten zeerste[/b:2e398fdf55] het volgende pakket aanraden: http://www.mamp.info/en/home/

[b:2e398fdf55]MAMP[/b:2e398fdf55] installeert zichzelf als één enkel directory in je Applications folder. Via een widget kan je Apache & MySQL desgewenst starten of stoppen en duidt je aan met welke versie van PHP je wil werken (4 of 5)… je leest het goed, beide versies worden geïnstalleerd alsook een hele hoop extra handige libraries.

[code:1:2e398fdf55]Apache Version: 2.0.55
MySQL Version: 4.1.12
PHP Version: 4.4.2 & 5.1.2
eAccelerator: 0.9.4-rc1
Zend Optimizer: 2.6.0
phpMyAdmin 2.7.0-pl2
SQLite Version: 2.8.16
SQLiteManager Version: 1.1.3
Freetype Version: 2.1.9
t1lib Version: 5.1.0
curl Version: 7.14.0
jpeg Version: 6b
libpng Version: 1.2.5
gd Version: 2.0.28[/code:1:2e398fdf55]
Na installatie en het starten van de servers kun je naar de webinterface surfen om je database & dergelijke te beheren.

Dit is met voorsprong de meeste cleane manier om aan lokale web ontwikkeling te doen op een Mac :slight_smile:

Good luck ;)[/quote:2e398fdf55]

Hey dit ziet er super uit. Ik ga toevallig dit weekend beginnen met PHP (vriend van me komt langs om basis uit te leggen). Ga het morgen gelijk eens installeren? Zijn er nog meer handige tips???

[quote:3c3f15ed6f="ATT"]Hey dit ziet er super uit. Ik ga toevallig dit weekend beginnen met PHP (vriend van me komt langs om basis uit te leggen). Ga het morgen gelijk eens installeren? Zijn er nog meer handige tips???[/quote:3c3f15ed6f]

Lees vooral (de eerste hoofdstukken van) de handleiding op http://www.php.net/ eens door. En als je informatie nodig hebt over een functie in PHP, dan surf je naar http://www.php.be/<functie_naam> waarbij <functie_naam> uiteraard de naam van je functie. Lees altijd de uitleg [b:3c3f15ed6f]aandachtig[/b:3c3f15ed6f]!

MAMP is idd erg aan te raden. Ikzelf heb nu [url=http://www.apple.com/downloads/macosx/unix_open_source/webserverxkit.html]WebServerXkit[/url], een pakket aangeboden door Apple zelf. Ook is dit gewoon een installer, en die maakt ook een tabje aan in je systeemvoorkeuren. Het is - MySQL 4 - Apache 2 - PHP5

Succes

[quote:82c35eb3d6="exposed"][quote:82c35eb3d6="ATT"]Hey dit ziet er super uit. Ik ga toevallig dit weekend beginnen met PHP (vriend van me komt langs om basis uit te leggen). Ga het morgen gelijk eens installeren? Zijn er nog meer handige tips???[/quote:82c35eb3d6]En als je informatie nodig hebt over een functie in PHP, dan surf je naar http://www.php.be/<functie_naam> waarbij <functie_naam> uiteraard de naam van je functie. Lees altijd de uitleg [b:82c35eb3d6]aandachtig[/b:82c35eb3d6]![/quote:82c35eb3d6]'t Is een bepaalde manier van lezen, zeker als beginner zul je vaak vol nog meer vraagtekens van die pagina's af komen. Pas als je PHP beetje lekker beheerst, zul je merken dat de functie pagina's echt heerlijk zijn om te gebruiken als je weer eens die vage functie moet gebruiken die je maar 1 keer per jaar gebruikt.

Verder is het slim om veel tutorials te doen. Alles wat je binnen nu en de komende twee jaar zult doen met PHP is hoogst waarschijnlijk al gedaan en te vinden op het internet. Daarna beheers je het goed genoeg om er zelf uit te vinden hoe iets in elkaar steekt (geen hulp meer nodig bij het opstellen, hoogstens wat functies opzoeken).

@exposed: Anders dan MAMP heb je ook XAMPP. Zelfde soort pakket, geen idee dus ook wat het echte verschil is. Maar ik gebruik meestal XAMPP, aangezien ik MAMP ooit in een grijs verleden niet lekker aan de gang kreeg op een Windows systeem (nooit verder geprobeerd op een OSX systeem).

Jochem

Bedankt beiden voor het aanraden van bovenstaande bundels, ik probeer ze zeker eens uit :)

Mamp is zeer goed voor test-setup, doordat het een volledige op zichzelf staande applicatie is, maar als je echt een server wilt draaien, dan is de combi-install.van www.serverlogistics.com weer aan te raden. Die is echt op het draaien van een site gericht en integreert met het systeem. Die WebServerXkit bij apple ziet er ook handig uit. Heeft ooh PHPmyAdmin aan boord.

wow, ben ik een dagje weg, ....

Vraagjes voordat ik die mamp (of xamp of webserverxkit) installeer :

  • moet ik eerst iets van het geïnstalleerde verwijderen, of wordt dit in principe netjes ernaast gezet
    -> dan zou ik toch liever die reeds geïnstalleerde apache2 en php (indien dit al dan niet geïnstalleerd staat) verwijderen om ruimte en ‘mistakes’ te besparen.
  • Bedoeling is trouwens om met postgresql te verbinden (ipv mysql) géén probleem??
  • als ik een intelmac koop werkt die postgresql en php gewoon verder ?

Mijn dank is groot
Davedive

Nu is't werkelijk helemaal naar de vaantjes.

Heb als een gek zitten downloaden (mamp wilde totaal niet unzippen !!), dan xampp , dan uiteindelijk als niks meer werkt webserverxkit

uiteindelijk geef ik het TOTAAL OP !!!

ik heb wel zo’n 3 of 4 versies van vanalles staan, en niks werkt.

1ding : ik ben zwaar ontgoocheld in de mac-community (en mijn capaciteiten). Na 6 jaar maccen, moet ik toch wel weer eens vaststellen dat er géén brede basis van programmeurs is.

De installers die er zijn om op mijn portable die zaken te installeren in windowsomgeving, werken als een tierelier + je hebt héél weinig terminal nodig om instellingen te doen.

Al de opensource alternatieven zien er ‘goed uit’ maar zijn totaal nog niet klaar om de stap naar beginnende explorateurs zoals ik te zetten. De installers (zelfs webserverxkit) werken niet zoals het hoort (+ oude versies van mysql en php).

Ik vind zelfs géén klote-uninstall methode op het internet om de zaken die ik geïnstalleerd heb te verwijderen.

Indien er niemand een kent, zal ik wel moeten proberen een oude backup terug te zetten met ccc en de hele klotezaak vergeten.

Ik ga nu naar bed en hoop geen nachtmerries te krijgen ervan.

MAMP installeren is een kwestie van 1 sleepbeweging... het kan echt niet simpeler dan dat hoor, ook niet op Windows.

Voel je vrij om mij toe te voegen op MSN/GTalk of wat dan ook… dat praat makkelijker… als je nog hulp zou willen…

Ik heb al een aantal keren de paketten van [url=http://www.serverlogistics.com/downloads.php]Server Logistics[/url] geïnstalleerd. Werkt prima.

Mamp zal inderdaad wel zo eenvoudig installeren, echter de download was 'down' van versiontracker.

Nà mijn post, heb ik het nog eens proberen te downloaden en kreeg toen de melding dat de server van versiontracker moest ‘geserviced’ worden. Daardoor heb ik blijkbaar telkens een ‘foute’ installer binnengekregen.

Het is echter wèl zo dat ik DACHT van een handleiding te hebben (zodat alles eenvoudig was) maar door mijn onervarenheid en een aantal wijzigingen die ik tegenkwam met die links hierboven, ik er een totaal zootje van heb gemaakt.

Ik zal nu in de komende dag(en) éérst proberen een ‘proper’ systeem terug te plaatsen, en vanaf daar opnieuw te beginnen. Ik heb namelijk mysql in 2 versies staan, dus bij opstart is er enkel de laatst geïnstalleerde versie die opstart (versie 4 ipv 5) dus starten van V5 bij opstart lukt al niet.
Apache werkt hélemaal niet meer !
PHP dus ook niet als gevolg van apacheprobleem.

Ik zal dus zoals gezegd van de 2 users de gewijzigde bestanden (data) die op de opstartschijf staan (zoals mail, bureaublad,…) overzetten naar mijn backupversie, en dan deze terug klonen naar mijn interne opstartdrive. Hopelijk lukt alles dan.

1 ding vind ik wel een beetje ‘ambetant’ : ik wil eigenlijk met php èn postgresql werken (niet met mysql). Gezien Mamp alles (naar ik begrepen heb) in 1 map samenzet (om uninstall niet moeilijk te maken) weet ik niet of ik dat kan aanpassen.

Het is ook wel zo dat in Mamp en in webserverxkit en in het pakket van serverlogistics, alles ‘verouderde’ versies zijn. Indien een goede handleiding van de installatie van de afzonderlijke onderdelen voorhanden zou zijn, zou ik dat natuurlijk wel liever hebben.

In ieder geval hartelijk dank voor jullie hulp en ‘exposed’ bedankt voor het aanbod van chatten, maar dàt heb ik nog nooit gedaan, dus dat vraagt een ‘installatie’ of zoiets… :sealed: :sealed: … even wachten dus :wink:

Davedive